# norootforbuild

%define _prefix	/usr
%define _SOnr	1

Name:			wavpack
License:		BSD
Group:			Productivity/Multimedia/Sound/Editors and Convertors
URL:			http://www.wavpack.com/index.html
Summary:		A completely open audio compression format
Version:		4.60.1
Release:		1.1
Source:			http://www.wavpack.com/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
Requires:		ncurses
Provides:		WavPack = 4.41.0
Obsoletes:		WavPack < 4.41.0

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression mode.
Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground
up to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends
on the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this
mode creates both a relatively small, high-quality lossy file that
can be used all by itself, and a "correction" file that (when
combined with the lossy file) provides full lossless restoration.
For some users this means never having to choose between lossless
and lossy compression!

Author: <david@wavpack.com>

%package -n libwavpack%{_SOnr}
Summary:	Shared Libraries for WavPack
Group:		System/Libraries

%description -n libwavpack%{_SOnr}
Shared Libraries for package WavPack.

%package -n libwavpack-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Libraries/C and C++
Requires:	libwavpack%{_SOnr} = %{version}
Requires:	ncurses-devel
Provides:	WavPack-devel = 4.41.0
Provides:	wavpack-devel = 4.41.0
Obsoletes:	WavPack-devel < 4.41.0
Obsoletes:	wavpack-devel < 4.41.0

%description -n libwavpack-devel
This package contains all necessary include files and libraries
needed to develop applications that require these.

Author: <david@wavpack.com>

%debug_package

%prep
%setup -q -n %{name}-%{version}
%{?suse_update_config:%{suse_update_config -f}}

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%__make DESTDIR=%{buildroot} install

#%__install -m 644 cli/*.h \
#	%{buildroot}%{_includedir}/%{name}

%__rm %{buildroot}%{_libdir}/*.a
%__rm %{buildroot}%{_libdir}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libwavpack%{_SOnr} -p /sbin/ldconfig

%postun -n libwavpack%{_SOnr} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README doc/*.txt
%doc %{_mandir}/man1/*
%{_bindir}/*

%files -n libwavpack%{_SOnr}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libwavpack-devel
%defattr(-,root,root)
%doc ChangeLog README doc/*.txt
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%changelog
* Mon Mar 01 2010 Carsten Schoene <cs@linux-administrator.com> - 4.60.1-1
- initial import to BS
